<ion-header>
  <ion-toolbar color="primary">
      <ion-title>Select Service Advisor</ion-title>
      <ion-buttons slot="start">
          <ion-button size="small" shape="round" (click)="close()" color="light">
              <ion-icon slot="start" name="close"></ion-icon> Close
            </ion-button>
      </ion-buttons>
  </ion-toolbar>
  
  <ion-toolbar color="light">
    <ion-searchbar [(ngModel)]="searchKey" (ionChange)="filterData()"></ion-searchbar>   
  </ion-toolbar>
  <ion-toolbar color="primary" no-padding>
      <ion-grid class="datagrid">
          <ion-row class="header">
              <ion-col size="1"><ion-checkbox [disabled]="true"></ion-checkbox></ion-col>
              <ion-col size="3"><ion-text>CSA Name</ion-text></ion-col>
              <ion-col><ion-text>Status</ion-text></ion-col>
              <ion-col><ion-text>Wait Time</ion-text></ion-col>
              <ion-col><ion-text>Assigned</ion-text></ion-col>          
          </ion-row>
      </ion-grid>
  </ion-toolbar>
</ion-header>
<ion-content style="background-color:#fff;">
  <ion-grid >              
    <ion-row class="row-item" *ngFor="let item of items; let i = index;" [ngClass]="(i % 2 == 0) ? 'odd' : 'even'" (click)="selectChange(item.UserId)">
      <ion-col size="1"><ion-checkbox [checked]="csauserid==item.UserId"></ion-checkbox></ion-col>                
      <ion-col size="3">{{item.DisplayName}}</ion-col>
      <ion-col>
        <ion-text color="{{item.Status=='Serving'?'danger':'dark'}}">{{item.Status}}</ion-text> <br />
        <ion-text color="{{item.Status=='Serving'?'danger':'dark'}}">{{item.TimeDiff}} mins</ion-text> 
      </ion-col>              
      <ion-col>{{item.WaitTime}} mins</ion-col>        
      <ion-col>{{item.TotalAssigned}}</ion-col>      
    </ion-row>
  </ion-grid>          
</ion-content>
<ion-footer>
    <ion-toolbar>    
        <ion-buttons slot="end">            
          <ion-button color="success" fill="solid" expand="block" (click)="select()">
              <ion-icon slot="start" name="checkmark"></ion-icon>
            Select
          </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-footer>